JcaContentVerifierProviderBuilder (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.operator.jcajce

## Class JcaContentVerifierProviderBuilder

- java.lang.Object
- - org.bouncycastle.operator.jcajce.JcaContentVerifierProviderBuilder

-     public class JcaContentVerifierProviderBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcaContentVerifierProviderBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContentVerifierProvider` | `build(java.security.PublicKey publicKey)`
    `ContentVerifierProvider` | `build(org.bouncycastle.asn1.x509.SubjectPublicKeyInfo publicKey)`
    `ContentVerifierProvider` | `build(java.security.cert.X509Certificate certificate)`
    `ContentVerifierProvider` | `build(X509CertificateHolder certHolder)`
    `JcaContentVerifierProviderBuilder` | `setProvider(java.security.Provider provider)`
    `JcaContentVerifierProviderBuilder` | `setProvider(java.lang.String providerName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcaContentVerifierProviderBuilder

          public JcaContentVerifierProviderBuilder()

  - ### Method Detail

    - #### setProvider

          public JcaContentVerifierProviderBuilder setProvider(java.security.Provider provider)

    - #### setProvider

          public JcaContentVerifierProviderBuilder setProvider(java.lang.String providerName)

    - #### build

          public ContentVerifierProvider build(X509CertificateHolder certHolder)
                                        throws OperatorCreationException,
                                               java.security.cert.CertificateException

      Throws:
        `OperatorCreationException`
        `java.security.cert.CertificateException`

    - #### build

          public ContentVerifierProvider build(java.security.cert.X509Certificate certificate)
                                        throws OperatorCreationException

      Throws:
        `OperatorCreationException`

    - #### build

          public ContentVerifierProvider build(java.security.PublicKey publicKey)
                                        throws OperatorCreationException

      Throws:
        `OperatorCreationException`

    - #### build

          public ContentVerifierProvider build(org.bouncycastle.asn1.x509.SubjectPublicKeyInfo publicKey)
                                        throws OperatorCreationException

      Throws:
        `OperatorCreationException`